| FlexDoc/XML XSDDoc Demo | XML Schema for Maven POM 4.0.0

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

All Component Summary
Components:
elements (top-level / other; 1 global + 103 local), complexTypes (36)

Top-Level Element Summary (root element candidates)
project |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Model
Content: | complex, 1 attribute, 30 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Referenced: | never
3.0.0+ The `<project>` element is the root of the descriptor. » Attributes:
Attribute | Type / Value | Default | Required?
child.project.url.inherit.append.path | xs:string |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
modelVersion | xs:string | 0..1 | no
parent | Parent | 0..1 | no
groupId | xs:string | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
packaging | xs:string : "jar" | 0..1 | no
name | xs:string | 0..1 | no
description | xs:string | 0..1 | no
url | xs:string | 0..1 | no
inceptionYear | xs:string | 0..1 | no
organization | Organization | 0..1 | no
licenses | anonymous | 0..1 | no
developers | anonymous | 0..1 | no
contributors | anonymous | 0..1 | no
mailingLists | anonymous | 0..1 | no
prerequisites | Prerequisites | 0..1 | no
modules | anonymous | 0..1 | no
scm | Scm | 0..1 | no
issueManagement | IssueManagement | 0..1 | no
ciManagement | CiManagement | 0..1 | no
distributionManagement | DistributionManagement | 0..1 | no
properties | anonymous | 0..1 | no
dependencyManagement | DependencyManagement | 0..1 | no
dependencies | anonymous | 0..1 | no
repositories | anonymous | 0..1 | no
pluginRepositories | anonymous | 0..1 | no
build | Build | 0..1 | no
reports | anonymous | 0..1 | no
reporting | Reporting | 0..1 | no
profiles | anonymous | 0..1 | no

Other Element Summary (global + local with complex types; local elements unified by type)
activation |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Activation
Content: | complex, 5 elements
Defined: | locally in complexType Profile in maven-4.0.0.xsd; see XML source
4.0.0+ The conditional logic which will automatically trigger the inclusion of this profile. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
activeByDefault | xs:boolean : "false" | 0..1 | no
jdk | xs:string | 0..1 | no
os | ActivationOS | 0..1 | no
property | ActivationProperty | 0..1 | no
file | ActivationFile | 0..1 | no
build (in profile) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | BuildBase
Content: | complex, 8 elements
Defined: | locally in complexType Profile in maven-4.0.0.xsd; see XML source
4.0.0+ Information required to build the project. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
defaultGoal | xs:string | 0..1 | no
resources | anonymous | 0..1 | no
testResources | anonymous | 0..1 | no
directory | xs:string | 0..1 | no
finalName | xs:string | 0..1 | no
filters | anonymous | 0..1 | no
pluginManagement | PluginManagement | 0..1 | no
plugins | anonymous | 0..1 | no
build (in project) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Build
Content: | complex, 14 elements
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
3.0.0+ Information required to build the project. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
sourceDirectory | xs:string | 0..1 | no
scriptSourceDirectory | xs:string | 0..1 | no
testSourceDirectory | xs:string | 0..1 | no
outputDirectory | xs:string | 0..1 | no
testOutputDirectory | xs:string | 0..1 | no
extensions | anonymous | 0..1 | no
defaultGoal | xs:string | 0..1 | no
resources | anonymous | 0..1 | no
testResources | anonymous | 0..1 | no
directory | xs:string | 0..1 | no
finalName | xs:string | 0..1 | no
filters | anonymous | 0..1 | no
pluginManagement | PluginManagement | 0..1 | no
plugins | anonymous | 0..1 | no
ciManagement |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | CiManagement
Content: | complex, 3 elements
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
4.0.0+ The project's continuous integration information. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
system | xs:string | 0..1 | no
url | xs:string | 0..1 | no
notifiers | anonymous | 0..1 | no
configuration (in execution) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, elem., wildcard
Defined: | locally in complexType PluginExecution in maven-4.0.0.xsd; see XML source
Includes: | declaration of elem. wildcard
0.0.0+ Content Element Model:
Component | Type / Value | Occurs | Nillable?
{any} | from any namespace | 0..∞ |
configuration (in notifier) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, elem., wildcard
Defined: | locally in complexType Notifier in maven-4.0.0.xsd; see XML source
Includes: | declaration of elem. wildcard
0.0.0+ Extended configuration specific to this notifier goes here. Content Element Model:
Component | Type / Value | Occurs | Nillable?
{any} | from any namespace | 0..∞ |
configuration (in plugin : Plugin) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, elem., wildcard
Defined: | locally in complexType Plugin in maven-4.0.0.xsd; see XML source
Includes: | declaration of elem. wildcard
0.0.0+ Content Element Model:
Component | Type / Value | Occurs | Nillable?
{any} | from any namespace | 0..∞ |
configuration (in plugin in plugins in reporting) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, elem., wildcard
Defined: | locally in complexType ReportPlugin in maven-4.0.0.xsd; see XML source
Includes: | declaration of elem. wildcard
0.0.0+ Content Element Model:
Component | Type / Value | Occurs | Nillable?
{any} | from any namespace | 0..∞ |
configuration (in reportSet) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, elem., wildcard
Defined: | locally in complexType ReportSet in maven-4.0.0.xsd; see XML source
Includes: | declaration of elem. wildcard
0.0.0+ Content Element Model:
Component | Type / Value | Occurs | Nillable?
{any} | from any namespace | 0..∞ |
contributor |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Contributor
Content: | complex, 8 elements
Defined: | locally in element contributors in maven-4.0.0.xsd; see XML source
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
name | xs:string | 0..1 | no
email | xs:string | 0..1 | no
url | xs:string | 0..1 | no
organization | xs:string | 0..1 | no
organizationUrl | xs:string | 0..1 | no
roles | anonymous | 0..1 | no
timezone | xs:string | 0..1 | no
properties | anonymous | 0..1 | no
contributors |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
3.0.0+ Describes the contributors to a project that are not yet committers. Content Element Model:
Component | Type / Value | Occurs | Nillable?
contributor | Contributor | 0..∞ | no
dependencies (in dependencyManagement) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType DependencyManagement in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The dependencies specified here are not used until they are referenced in a POM within the group. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
dependency | Dependency | 0..∞ | no
dependencies (in plugin : Plugin) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Plugin in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ Additional dependencies that this project needs to introduce to the plugin's classloader. Content Element Model:
Component | Type / Value | Occurs | Nillable?
dependency | Dependency | 0..∞ | no
dependencies (in profile) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Profile in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
3.0.0+ This element describes all of the dependencies associated with a project. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
dependency | Dependency | 0..∞ | no
dependencies (in project) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
3.0.0+ This element describes all of the dependencies associated with a project. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
dependency | Dependency | 0..∞ | no
dependency |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Dependency
Content: | complex, 9 elements
Defined: | locally at 4 locations in maven-4.0.0.xsd
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
groupId | xs:string | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
type | xs:string : "jar" | 0..1 | no
classifier | xs:string | 0..1 | no
scope | xs:string | 0..1 | no
systemPath | xs:string | 0..1 | no
exclusions | anonymous | 0..1 | no
optional | xs:string | 0..1 | no
dependencyManagement |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | DependencyManagement
Content: | complex, 1 element
Defined: | locally at 2 locations in maven-4.0.0.xsd
Content Element Model:
Component | Type / Value | Occurs | Nillable?
dependencies | anonymous | 0..1 | no
developer |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Developer
Content: | complex, 9 elements
Defined: | locally in element developers in maven-4.0.0.xsd; see XML source
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
id | xs:string | 0..1 | no
name | xs:string | 0..1 | no
email | xs:string | 0..1 | no
url | xs:string | 0..1 | no
organization | xs:string | 0..1 | no
organizationUrl | xs:string | 0..1 | no
roles | anonymous | 0..1 | no
timezone | xs:string | 0..1 | no
properties | anonymous | 0..1 | no
developers |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
3.0.0+ Describes the committers of a project. Content Element Model:
Component | Type / Value | Occurs | Nillable?
developer | Developer | 0..∞ | no
distributionManagement |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | DistributionManagement
Content: | complex, 6 elements
Defined: | locally at 2 locations in maven-4.0.0.xsd
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
repository | DeploymentRepository | 0..1 | no
snapshotRepository | DeploymentRepository | 0..1 | no
site | Site | 0..1 | no
downloadUrl | xs:string | 0..1 | no
relocation | Relocation | 0..1 | no
status | xs:string | 0..1 | no
excludes |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Resource in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
3.0.0+ A list of patterns to exclude, e.g. `**/*.xml` Content Element Model:
Component | Type / Value | Occurs | Nillable?
exclude | xs:string | 0..∞ | no
exclusion |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Exclusion
Content: | complex, 2 elements
Defined: | locally in element exclusions in maven-4.0.0.xsd; see XML source
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
artifactId | xs:string | 0..1 | no
groupId | xs:string | 0..1 | no
exclusions |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Dependency in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ Lists a set of artifacts that should be excluded from this dependency's artifact list when it comes to calculating transitive dependencies. Content Element Model:
Component | Type / Value | Occurs | Nillable?
exclusion | Exclusion | 0..∞ | no
execution |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | PluginExecution
Content: | complex, 5 elements
Defined: | locally in element executions in maven-4.0.0.xsd; see XML source
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
id | xs:string : "default" | 0..1 | no
phase | xs:string | 0..1 | no
goals | anonymous | 0..1 | no
inherited | xs:string | 0..1 | no
configuration | anonymous | 0..1 | no
executions |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Plugin in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ Multiple specifications of a set of goals to execute during the build lifecycle, each having (possibly) a different configuration. Content Element Model:
Component | Type / Value | Occurs | Nillable?
execution | PluginExecution | 0..∞ | no
extension |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Extension
Content: | complex, 3 elements
Defined: | locally in element extensions in maven-4.0.0.xsd; see XML source
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
groupId | xs:string | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
extensions (in build in project) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Build in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ A set of build extensions to use from this project. Content Element Model:
Component | Type / Value | Occurs | Nillable?
extension | Extension | 0..∞ | no
file |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | ActivationFile
Content: | complex, 2 elements
Defined: | locally in complexType Activation in maven-4.0.0.xsd; see XML source
4.0.0+ Specifies that this profile will be activated based on existence of a file. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
missing | xs:string | 0..1 | no
exists | xs:string | 0..1 | no
filters (in build in profile) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType BuildBase in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The list of filter properties files that are used when filtering is enabled. Content Element Model:
Component | Type / Value | Occurs | Nillable?
filter | xs:string | 0..∞ | no
filters (in build in project) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Build in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The list of filter properties files that are used when filtering is enabled. Content Element Model:
Component | Type / Value | Occurs | Nillable?
filter | xs:string | 0..∞ | no
goals (in execution) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType PluginExecution in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The goals to execute with the given configuration. Content Element Model:
Component | Type / Value | Occurs | Nillable?
goal | xs:string | 0..∞ | no
goals (in plugin : Plugin) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, elem., wildcard
Defined: | locally in complexType Plugin in maven-4.0.0.xsd; see XML source
Includes: | declaration of elem. wildcard
4.0.0+ Deprecated. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
{any} | from any namespace | 0..∞ |
includes |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Resource in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
3.0.0+ A list of patterns to include, e.g. `**/*.xml`. Content Element Model:
Component | Type / Value | Occurs | Nillable?
include | xs:string | 0..∞ | no
issueManagement |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | IssueManagement
Content: | complex, 2 elements
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
4.0.0+ The project's issue management system information. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
system | xs:string | 0..1 | no
url | xs:string | 0..1 | no
license |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | License
Content: | complex, 4 elements
Defined: | locally in element licenses in maven-4.0.0.xsd; see XML source
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
name | xs:string | 0..1 | no
url | xs:string | 0..1 | no
distribution | xs:string | 0..1 | no
comments | xs:string | 0..1 | no
licenses |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
3.0.0+ This element describes all of the licenses for this project. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
license | License | 0..∞ | no
mailingList |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | MailingList
Content: | complex, 6 elements
Defined: | locally in element mailingLists in maven-4.0.0.xsd; see XML source
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
name | xs:string | 0..1 | no
subscribe | xs:string | 0..1 | no
unsubscribe | xs:string | 0..1 | no
post | xs:string | 0..1 | no
archive | xs:string | 0..1 | no
otherArchives | anonymous | 0..1 | no
mailingLists |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
3.0.0+ Contains information about a project's mailing lists. Content Element Model:
Component | Type / Value | Occurs | Nillable?
mailingList | MailingList | 0..∞ | no
modules (in profile) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Profile in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The modules (sometimes called subprojects) to build as a part of this project. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
module | xs:string | 0..∞ | no
modules (in project) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The modules (sometimes called subprojects) to build as a part of this project. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
module | xs:string | 0..∞ | no
notifier |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Notifier
Content: | complex, 7 elements
Defined: | locally in element notifiers in maven-4.0.0.xsd; see XML source
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
type | xs:string : "mail" | 0..1 | no
sendOnError | xs:boolean : "true" | 0..1 | no
sendOnFailure | xs:boolean : "true" | 0..1 | no
sendOnSuccess | xs:boolean : "true" | 0..1 | no
sendOnWarning | xs:boolean : "true" | 0..1 | no
address | xs:string | 0..1 | no
configuration | anonymous | 0..1 | no
notifiers |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType CiManagement in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ Configuration for notifying developers/users when a build is unsuccessful, including user information and notification mode. Content Element Model:
Component | Type / Value | Occurs | Nillable?
notifier | Notifier | 0..∞ | no
organization (in project) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Organization
Content: | complex, 2 elements
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
3.0.0+ This element describes various attributes of the organization to which the project belongs. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
name | xs:string | 0..1 | no
url | xs:string | 0..1 | no
os |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | ActivationOS
Content: | complex, 4 elements
Defined: | locally in complexType Activation in maven-4.0.0.xsd; see XML source
4.0.0+ Specifies that this profile will be activated when matching operating system attributes are detected. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
name | xs:string | 0..1 | no
family | xs:string | 0..1 | no
arch | xs:string | 0..1 | no
version | xs:string | 0..1 | no
otherArchives |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType MailingList in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
3.0.0+ The link to alternate URLs where you can browse the list archive. Content Element Model:
Component | Type / Value | Occurs | Nillable?
otherArchive | xs:string | 0..∞ | no
parent |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Parent
Content: | complex, 4 elements
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
4.0.0+ The location of the parent project, if one exists. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
groupId | xs:string | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
relativePath | xs:string : "../pom.xml" | 0..1 | no
plugin (in plugins in reporting) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | ReportPlugin
Content: | complex, 6 elements
Defined: | locally in element plugins in maven-4.0.0.xsd; see XML source
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
groupId | xs:string : "org.apache.maven.plugins" | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
reportSets | anonymous | 0..1 | no
inherited | xs:string | 0..1 | no
configuration | anonymous | 0..1 | no
plugin (type Plugin) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Plugin
Content: | complex, 9 elements
Defined: | locally at 3 locations in maven-4.0.0.xsd
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
groupId | xs:string : "org.apache.maven.plugins" | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
extensions | xs:string | 0..1 | no
executions | anonymous | 0..1 | no
dependencies | anonymous | 0..1 | no
goals | anonymous | 0..1 | no
inherited | xs:string | 0..1 | no
configuration | anonymous | 0..1 | no
pluginManagement |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | PluginManagement
Content: | complex, 1 element
Defined: | locally at 2 locations in maven-4.0.0.xsd
Content Element Model:
Component | Type / Value | Occurs | Nillable?
plugins | anonymous | 0..1 | no
pluginRepositories (in profile) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Profile in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The lists of the remote repositories for discovering plugins for builds and reports. Content Element Model:
Component | Type / Value | Occurs | Nillable?
pluginRepository | Repository | 0..∞ | no
pluginRepositories (in project) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The lists of the remote repositories for discovering plugins for builds and reports. Content Element Model:
Component | Type / Value | Occurs | Nillable?
pluginRepository | Repository | 0..∞ | no
pluginRepository |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Repository
Content: | complex, 6 elements
Defined: | locally at 2 locations in maven-4.0.0.xsd
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
releases | RepositoryPolicy | 0..1 | no
snapshots | RepositoryPolicy | 0..1 | no
id | xs:string | 0..1 | no
name | xs:string | 0..1 | no
url | xs:string | 0..1 | no
layout | xs:string : "default" | 0..1 | no
plugins (in build in profile) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType BuildBase in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The list of plugins to use. Content Element Model:
Component | Type / Value | Occurs | Nillable?
plugin | Plugin | 0..∞ | no
plugins (in build in project) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Build in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The list of plugins to use. Content Element Model:
Component | Type / Value | Occurs | Nillable?
plugin | Plugin | 0..∞ | no
plugins (in pluginManagement) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType PluginManagement in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The list of plugins to use. Content Element Model:
Component | Type / Value | Occurs | Nillable?
plugin | Plugin | 0..∞ | no
plugins (in reporting) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Reporting in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The reporting plugins to use and their configuration. Content Element Model:
Component | Type / Value | Occurs | Nillable?
plugin | ReportPlugin | 0..∞ | no
prerequisites |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Prerequisites
Content: | complex, 1 element
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
4.0.0+ Describes the prerequisites in the build environment for this project. Content Element Model:
Component | Type / Value | Occurs | Nillable?
maven | xs:string : 2.0 | 0..1 | no
profile |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Profile
Content: | complex, 12 elements
Defined: | locally in element profiles in maven-4.0.0.xsd; see XML source
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
id | xs:string : "default" | 0..1 | no
activation | Activation | 0..1 | no
build | BuildBase | 0..1 | no
modules | anonymous | 0..1 | no
distributionManagement | DistributionManagement | 0..1 | no
properties | anonymous | 0..1 | no
dependencyManagement | DependencyManagement | 0..1 | no
dependencies | anonymous | 0..1 | no
repositories | anonymous | 0..1 | no
pluginRepositories | anonymous | 0..1 | no
reports | anonymous | 0..1 | no
reporting | Reporting | 0..1 | no
profiles |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ A listing of project-local build profiles which will modify the build process when activated. Content Element Model:
Component | Type / Value | Occurs | Nillable?
profile | Profile | 0..∞ | no
properties (in contributor) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, elem., wildcard
Defined: | locally in complexType Contributor in maven-4.0.0.xsd; see XML source
Includes: | declaration of elem. wildcard
3.0.0+ Properties about the contributor, such as an instant messenger handle. Content Element Model:
Component | Type / Value | Occurs | Nillable?
{any} | from any namespace | 0..∞ |
properties (in developer) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, elem., wildcard
Defined: | locally in complexType Developer in maven-4.0.0.xsd; see XML source
Includes: | declaration of elem. wildcard
3.0.0+ Properties about the contributor, such as an instant messenger handle. Content Element Model:
Component | Type / Value | Occurs | Nillable?
{any} | from any namespace | 0..∞ |
properties (in profile) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, elem., wildcard
Defined: | locally in complexType Profile in maven-4.0.0.xsd; see XML source
Includes: | declaration of elem. wildcard
4.0.0+ Properties that can be used throughout the POM as a substitution, and are used as filters in resources if enabled. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
{any} | from any namespace | 0..∞ |
properties (in project) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, elem., wildcard
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
Includes: | declaration of elem. wildcard
4.0.0+ Properties that can be used throughout the POM as a substitution, and are used as filters in resources if enabled. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
{any} | from any namespace | 0..∞ |
property |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | ActivationProperty
Content: | complex, 2 elements
Defined: | locally in complexType Activation in maven-4.0.0.xsd; see XML source
4.0.0+ Specifies that this profile will be activated when this system property is specified. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
name | xs:string | 0..1 | no
value | xs:string | 0..1 | no
releases |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | RepositoryPolicy
Content: | complex, 3 elements
Defined: | locally at 2 locations in maven-4.0.0.xsd
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
enabled | xs:string | 0..1 | no
updatePolicy | xs:string | 0..1 | no
checksumPolicy | xs:string | 0..1 | no
relocation |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Relocation
Content: | complex, 4 elements
Defined: | locally in complexType DistributionManagement in maven-4.0.0.xsd; see XML source
4.0.0+ Relocation information of the artifact if it has been moved to a new group ID and/or artifact ID. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
groupId | xs:string | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
message | xs:string | 0..1 | no
reporting |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Reporting
Content: | complex, 3 elements
Defined: | locally at 2 locations in maven-4.0.0.xsd
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
excludeDefaults | xs:string | 0..1 | no
outputDirectory | xs:string | 0..1 | no
plugins | anonymous | 0..1 | no
reports (in profile) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, elem., wildcard
Defined: | locally in complexType Profile in maven-4.0.0.xsd; see XML source
Includes: | declaration of elem. wildcard
4.0.0+ Deprecated. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
{any} | from any namespace | 0..∞ |
reports (in project) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, elem., wildcard
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
Includes: | declaration of elem. wildcard
4.0.0+ Deprecated. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
{any} | from any namespace | 0..∞ |
reports (in reportSet) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType ReportSet in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The list of reports from this plugin which should be generated from this set. Content Element Model:
Component | Type / Value | Occurs | Nillable?
report | xs:string | 0..∞ | no
reportSet |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | ReportSet
Content: | complex, 4 elements
Defined: | locally in element reportSets in maven-4.0.0.xsd; see XML source
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
id | xs:string : "default" | 0..1 | no
reports | anonymous | 0..1 | no
inherited | xs:string | 0..1 | no
configuration | anonymous | 0..1 | no
reportSets |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType ReportPlugin in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ Multiple specifications of a set of reports, each having (possibly) different configuration. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
reportSet | ReportSet | 0..∞ | no
repositories (in profile) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Profile in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The lists of the remote repositories for discovering dependencies and extensions. Content Element Model:
Component | Type / Value | Occurs | Nillable?
repository | Repository | 0..∞ | no
repositories (in project) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ The lists of the remote repositories for discovering dependencies and extensions. Content Element Model:
Component | Type / Value | Occurs | Nillable?
repository | Repository | 0..∞ | no
repository (in distributionManagement) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | DeploymentRepository
Content: | complex, 7 elements
Defined: | locally in complexType DistributionManagement in maven-4.0.0.xsd; see XML source
4.0.0+ Information needed to deploy the artifacts generated by the project to a remote repository. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
uniqueVersion | xs:boolean : "true" | 0..1 | no
releases | RepositoryPolicy | 0..1 | no
snapshots | RepositoryPolicy | 0..1 | no
id | xs:string | 0..1 | no
name | xs:string | 0..1 | no
url | xs:string | 0..1 | no
layout | xs:string : "default" | 0..1 | no
repository (type Repository) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Repository
Content: | complex, 6 elements
Defined: | locally at 2 locations in maven-4.0.0.xsd
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
releases | RepositoryPolicy | 0..1 | no
snapshots | RepositoryPolicy | 0..1 | no
id | xs:string | 0..1 | no
name | xs:string | 0..1 | no
url | xs:string | 0..1 | no
layout | xs:string : "default" | 0..1 | no
resource |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Resource
Content: | complex, 5 elements
Defined: | locally at 2 locations in maven-4.0.0.xsd
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
targetPath | xs:string | 0..1 | no
filtering | xs:string | 0..1 | no
directory | xs:string | 0..1 | no
includes | anonymous | 0..1 | no
excludes | anonymous | 0..1 | no
resources (in build in profile) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType BuildBase in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
3.0.0+ This element describes all of the classpath resources such as properties files associated with a project. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
resource | Resource | 0..∞ | no
resources (in build in project) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Build in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
3.0.0+ This element describes all of the classpath resources such as properties files associated with a project. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
resource | Resource | 0..∞ | no
roles (in contributor) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Contributor in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
3.0.0+ The roles the contributor plays in the project. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
role | xs:string | 0..∞ | no
roles (in developer) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Developer in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
3.0.0+ The roles the contributor plays in the project. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
role | xs:string | 0..∞ | no
scm |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Scm
Content: | complex, 3 attributes, 4 elements
Defined: | locally in complexType Model in maven-4.0.0.xsd; see XML source
4.0.0+ Specification for the SCM used by the project, such as CVS, Subversion, etc. Attributes:
Attribute | Type / Value | Default | Required?
child.scm.connection.inherit.append.path | xs:string |  | no
child.scm.developerConnection.inherit.append.path | xs:string |  | no
child.scm.url.inherit.append.path | xs:string |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
connection | xs:string | 0..1 | no
developerConnection | xs:string | 0..1 | no
tag | xs:string : "HEAD" | 0..1 | no
url | xs:string | 0..1 | no
site |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Site
Content: | complex, 1 attribute, 3 elements
Defined: | locally in complexType DistributionManagement in maven-4.0.0.xsd; see XML source
4.0.0+ Information needed for deploying the web site of the project. Attributes:
Attribute | Type / Value | Default | Required?
child.site.url.inherit.append.path | xs:string |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
id | xs:string | 0..1 | no
name | xs:string | 0..1 | no
url | xs:string | 0..1 | no
snapshotRepository |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | DeploymentRepository
Content: | complex, 7 elements
Defined: | locally in complexType DistributionManagement in maven-4.0.0.xsd; see XML source
4.0.0+ Where to deploy snapshots of artifacts to. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
uniqueVersion | xs:boolean : "true" | 0..1 | no
releases | RepositoryPolicy | 0..1 | no
snapshots | RepositoryPolicy | 0..1 | no
id | xs:string | 0..1 | no
name | xs:string | 0..1 | no
url | xs:string | 0..1 | no
layout | xs:string : "default" | 0..1 | no
snapshots |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | RepositoryPolicy
Content: | complex, 3 elements
Defined: | locally at 2 locations in maven-4.0.0.xsd
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
enabled | xs:string | 0..1 | no
updatePolicy | xs:string | 0..1 | no
checksumPolicy | xs:string | 0..1 | no
testResource |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | Resource
Content: | complex, 5 elements
Defined: | locally at 2 locations in maven-4.0.0.xsd
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
targetPath | xs:string | 0..1 | no
filtering | xs:string | 0..1 | no
directory | xs:string | 0..1 | no
includes | anonymous | 0..1 | no
excludes | anonymous | 0..1 | no
testResources (in build in profile) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType BuildBase in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ This element describes all of the classpath resources such as properties files associated with a project's unit tests. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
testResource | Resource | 0..∞ | no
testResources (in build in project) |
Namespace: | http://maven.apache.org/POM/4.0.0
Type: | anonymous complexType
Content: | complex, 1 element
Defined: | locally in complexType Build in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
4.0.0+ This element describes all of the classpath resources such as properties files associated with a project's unit tests. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
testResource | Resource | 0..∞ | no

Complex Type Summary
Activation |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 5 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 5 elements
Referenced: | by 1 location
4.0.0+ The conditions within the build runtime environment which will trigger the automatic inclusion of the build profile. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
activeByDefault | xs:boolean : "false" | 0..1 | no
jdk | xs:string | 0..1 | no
os | ActivationOS | 0..1 | no
property | ActivationProperty | 0..1 | no
file | ActivationFile | 0..1 | no
ActivationFile |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 2 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 2 elements
Referenced: | by 1 location
4.0.0+ This is the file specification used to activate the profile. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
missing | xs:string | 0..1 | no
exists | xs:string | 0..1 | no
ActivationOS |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 4 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 4 elements
Referenced: | by 1 location
4.0.0+ This is an activator which will detect an operating system's attributes in order to activate its profile. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
name | xs:string | 0..1 | no
family | xs:string | 0..1 | no
arch | xs:string | 0..1 | no
version | xs:string | 0..1 | no
ActivationProperty |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 2 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 2 elements
Referenced: | by 1 location
4.0.0+ This is the property specification used to activate a profile. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
name | xs:string | 0..1 | no
value | xs:string | 0..1 | no
Build |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 14 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 14 elements
Referenced: | by 1 location
3.0.0+ The `<build>` element contains informations required to build the project. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
sourceDirectory | xs:string | 0..1 | no
scriptSourceDirectory | xs:string | 0..1 | no
testSourceDirectory | xs:string | 0..1 | no
outputDirectory | xs:string | 0..1 | no
testOutputDirectory | xs:string | 0..1 | no
extensions | anonymous | 0..1 | no
defaultGoal | xs:string | 0..1 | no
resources | anonymous | 0..1 | no
testResources | anonymous | 0..1 | no
directory | xs:string | 0..1 | no
finalName | xs:string | 0..1 | no
filters | anonymous | 0..1 | no
pluginManagement | PluginManagement | 0..1 | no
plugins | anonymous | 0..1 | no
BuildBase |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 8 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 8 elements
Referenced: | by 1 location
3.0.0+ Generic informations for a build. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
defaultGoal | xs:string | 0..1 | no
resources | anonymous | 0..1 | no
testResources | anonymous | 0..1 | no
directory | xs:string | 0..1 | no
finalName | xs:string | 0..1 | no
filters | anonymous | 0..1 | no
pluginManagement | PluginManagement | 0..1 | no
plugins | anonymous | 0..1 | no
CiManagement |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 3 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 3 elements
Referenced: | by 1 location
4.0.0+ The `<CiManagement>` element contains informations required to the continuous integration system of the project. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
system | xs:string | 0..1 | no
url | xs:string | 0..1 | no
notifiers | anonymous | 0..1 | no
Contributor |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 8 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 8 elements
Referenced: | by 1 location
3.0.0+ Description of a person who has contributed to the project, but who does not have commit privileges. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
name | xs:string | 0..1 | no
email | xs:string | 0..1 | no
url | xs:string | 0..1 | no
organization | xs:string | 0..1 | no
organizationUrl | xs:string | 0..1 | no
roles | anonymous | 0..1 | no
timezone | xs:string | 0..1 | no
properties | anonymous | 0..1 | no
Dependency |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 9 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 9 elements
Referenced: | by 4 locations
3.0.0+ The `<dependency>` element contains information about a dependency of the project. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
groupId | xs:string | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
type | xs:string : "jar" | 0..1 | no
classifier | xs:string | 0..1 | no
scope | xs:string | 0..1 | no
systemPath | xs:string | 0..1 | no
exclusions | anonymous | 0..1 | no
optional | xs:string | 0..1 | no
DependencyManagement |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 1 element
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
Referenced: | by 2 locations
4.0.0+ Section for management of default dependency information for use in a group of POMs. Content Element Model:
Component | Type / Value | Occurs | Nillable?
dependencies | anonymous | 0..1 | no
DeploymentRepository |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 7 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 7 elements
Referenced: | by 2 locations
4.0.0+ Repository contains the information needed for deploying to the remote repository. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
uniqueVersion | xs:boolean : "true" | 0..1 | no
releases | RepositoryPolicy | 0..1 | no
snapshots | RepositoryPolicy | 0..1 | no
id | xs:string | 0..1 | no
name | xs:string | 0..1 | no
url | xs:string | 0..1 | no
layout | xs:string : "default" | 0..1 | no
Developer |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 9 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 9 elements
Referenced: | by 1 location
3.0.0+ Information about one of the committers on this project. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
id | xs:string | 0..1 | no
name | xs:string | 0..1 | no
email | xs:string | 0..1 | no
url | xs:string | 0..1 | no
organization | xs:string | 0..1 | no
organizationUrl | xs:string | 0..1 | no
roles | anonymous | 0..1 | no
timezone | xs:string | 0..1 | no
properties | anonymous | 0..1 | no
DistributionManagement |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 6 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 6 elements
Referenced: | by 2 locations
4.0.0+ This elements describes all that pertains to distribution for a project. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
repository | DeploymentRepository | 0..1 | no
snapshotRepository | DeploymentRepository | 0..1 | no
site | Site | 0..1 | no
downloadUrl | xs:string | 0..1 | no
relocation | Relocation | 0..1 | no
status | xs:string | 0..1 | no
Exclusion |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 2 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 2 elements
Referenced: | by 1 location
4.0.0+ The `<exclusion>` element contains informations required to exclude an artifact to the project. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
artifactId | xs:string | 0..1 | no
groupId | xs:string | 0..1 | no
Extension |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 3 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 3 elements
Referenced: | by 1 location
4.0.0+ Describes a build extension to utilise. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
groupId | xs:string | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
IssueManagement |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 2 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 2 elements
Referenced: | by 1 location
4.0.0+ Information about the issue tracking (or bug tracking) system used to manage this project. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
system | xs:string | 0..1 | no
url | xs:string | 0..1 | no
License |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 4 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 4 elements
Referenced: | by 1 location
3.0.0+ Describes the licenses for this project. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
name | xs:string | 0..1 | no
url | xs:string | 0..1 | no
distribution | xs:string | 0..1 | no
comments | xs:string | 0..1 | no
MailingList |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 6 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 6 elements
Referenced: | by 1 location
3.0.0+ This element describes all of the mailing lists associated with a project. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
name | xs:string | 0..1 | no
subscribe | xs:string | 0..1 | no
unsubscribe | xs:string | 0..1 | no
post | xs:string | 0..1 | no
archive | xs:string | 0..1 | no
otherArchives | anonymous | 0..1 | no
Model |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 1 attribute, 30 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 1 attribute, 30 elements
Referenced: | by 1 location
3.0.0+ The `<project>` element is the root of the descriptor. » Attributes:
Attribute | Type / Value | Default | Required?
child.project.url.inherit.append.path | xs:string |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
modelVersion | xs:string | 0..1 | no
parent | Parent | 0..1 | no
groupId | xs:string | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
packaging | xs:string : "jar" | 0..1 | no
name | xs:string | 0..1 | no
description | xs:string | 0..1 | no
url | xs:string | 0..1 | no
inceptionYear | xs:string | 0..1 | no
organization | Organization | 0..1 | no
licenses | anonymous | 0..1 | no
developers | anonymous | 0..1 | no
contributors | anonymous | 0..1 | no
mailingLists | anonymous | 0..1 | no
prerequisites | Prerequisites | 0..1 | no
modules | anonymous | 0..1 | no
scm | Scm | 0..1 | no
issueManagement | IssueManagement | 0..1 | no
ciManagement | CiManagement | 0..1 | no
distributionManagement | DistributionManagement | 0..1 | no
properties | anonymous | 0..1 | no
dependencyManagement | DependencyManagement | 0..1 | no
dependencies | anonymous | 0..1 | no
repositories | anonymous | 0..1 | no
pluginRepositories | anonymous | 0..1 | no
build | Build | 0..1 | no
reports | anonymous | 0..1 | no
reporting | Reporting | 0..1 | no
profiles | anonymous | 0..1 | no
Notifier |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 7 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 7 elements
Referenced: | by 1 location
4.0.0+ Configures one method for notifying users/developers when a build breaks. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
type | xs:string : "mail" | 0..1 | no
sendOnError | xs:boolean : "true" | 0..1 | no
sendOnFailure | xs:boolean : "true" | 0..1 | no
sendOnSuccess | xs:boolean : "true" | 0..1 | no
sendOnWarning | xs:boolean : "true" | 0..1 | no
address | xs:string | 0..1 | no
configuration | anonymous | 0..1 | no
Organization |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 2 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 2 elements
Referenced: | by 1 location
3.0.0+ Specifies the organization that produces this project. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
name | xs:string | 0..1 | no
url | xs:string | 0..1 | no
Parent |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 4 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 4 elements
Referenced: | by 1 location
4.0.0+ The `<parent>` element contains information required to locate the parent project from which this project will inherit from. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
groupId | xs:string | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
relativePath | xs:string : "../pom.xml" | 0..1 | no
Plugin |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 9 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 9 elements
Referenced: | by 3 locations
4.0.0+ The `<plugin>` element contains informations required for a plugin. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
groupId | xs:string : "org.apache.maven.plugins" | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
extensions | xs:string | 0..1 | no
executions | anonymous | 0..1 | no
dependencies | anonymous | 0..1 | no
goals | anonymous | 0..1 | no
inherited | xs:string | 0..1 | no
configuration | anonymous | 0..1 | no
PluginExecution |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 5 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 5 elements
Referenced: | by 1 location
4.0.0+ The `<execution>` element contains informations required for the execution of a plugin. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
id | xs:string : "default" | 0..1 | no
phase | xs:string | 0..1 | no
goals | anonymous | 0..1 | no
inherited | xs:string | 0..1 | no
configuration | anonymous | 0..1 | no
PluginManagement |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 1 element
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
Referenced: | by 2 locations
4.0.0+ Section for management of default plugin information for use in a group of POMs. Content Element Model:
Component | Type / Value | Occurs | Nillable?
plugins | anonymous | 0..1 | no
Prerequisites |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 1 element
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declaration of 1 element
Referenced: | by 1 location
4.0.0+ Describes the prerequisites a project can have. Content Element Model:
Component | Type / Value | Occurs | Nillable?
maven | xs:string : 2.0 | 0..1 | no
Profile |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 12 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 12 elements
Referenced: | by 1 location
4.0.0+ Modifications to the build process which is activated based on environmental parameters or command line arguments. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
id | xs:string : "default" | 0..1 | no
activation | Activation | 0..1 | no
build | BuildBase | 0..1 | no
modules | anonymous | 0..1 | no
distributionManagement | DistributionManagement | 0..1 | no
properties | anonymous | 0..1 | no
dependencyManagement | DependencyManagement | 0..1 | no
dependencies | anonymous | 0..1 | no
repositories | anonymous | 0..1 | no
pluginRepositories | anonymous | 0..1 | no
reports | anonymous | 0..1 | no
reporting | Reporting | 0..1 | no
Relocation |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 4 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 4 elements
Referenced: | by 1 location
4.0.0+ Describes where an artifact has moved to. » Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
groupId | xs:string | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
message | xs:string | 0..1 | no
Reporting |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 3 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 3 elements
Referenced: | by 2 locations
4.0.0+ Section for management of reports and their configuration. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
excludeDefaults | xs:string | 0..1 | no
outputDirectory | xs:string | 0..1 | no
plugins | anonymous | 0..1 | no
ReportPlugin |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 6 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 6 elements
Referenced: | by 1 location
4.0.0+ The `<plugin>` element contains informations required for a report plugin. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
groupId | xs:string : "org.apache.maven.plugins" | 0..1 | no
artifactId | xs:string | 0..1 | no
version | xs:string | 0..1 | no
reportSets | anonymous | 0..1 | no
inherited | xs:string | 0..1 | no
configuration | anonymous | 0..1 | no
ReportSet |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 4 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 4 elements
Referenced: | by 1 location
4.0.0+ Represents a set of reports and configuration to be used to generate them. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
id | xs:string : "default" | 0..1 | no
reports | anonymous | 0..1 | no
inherited | xs:string | 0..1 | no
configuration | anonymous | 0..1 | no
Repository |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 6 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 6 elements
Referenced: | by 4 locations
4.0.0+ A repository contains the information needed for establishing connections with remote repository. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
releases | RepositoryPolicy | 0..1 | no
snapshots | RepositoryPolicy | 0..1 | no
id | xs:string | 0..1 | no
name | xs:string | 0..1 | no
url | xs:string | 0..1 | no
layout | xs:string : "default" | 0..1 | no
RepositoryPolicy |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 3 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 3 elements
Referenced: | by 4 locations
4.0.0+ Download policy. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
enabled | xs:string | 0..1 | no
updatePolicy | xs:string | 0..1 | no
checksumPolicy | xs:string | 0..1 | no
Resource |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 5 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 5 elements
Referenced: | by 4 locations
3.0.0+ This element describes all of the classpath resources associated with a project or unit tests. Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
targetPath | xs:string | 0..1 | no
filtering | xs:string | 0..1 | no
directory | xs:string | 0..1 | no
includes | anonymous | 0..1 | no
excludes | anonymous | 0..1 | no
Scm |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 3 attributes, 4 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 3 attributes, 4 elements
Referenced: | by 1 location
4.0.0+ The `<scm>` element contains informations required to the SCM (Source Control Management) of the project. Attributes:
Attribute | Type / Value | Default | Required?
child.scm.connection.inherit.append.path | xs:string |  | no
child.scm.developerConnection.inherit.append.path | xs:string |  | no
child.scm.url.inherit.append.path | xs:string |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
connection | xs:string | 0..1 | no
developerConnection | xs:string | 0..1 | no
tag | xs:string : "HEAD" | 0..1 | no
url | xs:string | 0..1 | no
Site |
Namespace: | http://maven.apache.org/POM/4.0.0
Content: | complex, 1 attribute, 3 elements
Defined: | globally in maven-4.0.0.xsd; see XML source
Includes: | declarations of 1 attribute, 3 elements
Referenced: | by 1 location
4.0.0+ Contains the information needed for deploying websites. Attributes:
Attribute | Type / Value | Default | Required?
child.site.url.inherit.append.path | xs:string |  | no
Content Element Model:
Component | Type / Value | Occurs | Nillable?
ALL |  | 1..1 |
id | xs:string | 0..1 | no
name | xs:string | 0..1 | no
url | xs:string | 0..1 | no

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.